npm

Ready to take your JavaScript development to the next level? Meet npm Enterprise - the ultimate in enterprise JavaScript. Learn more »

fh-cls-mongoose

2.1.1 • Public • Published

CLS shimmer for Mongoose

Adds CLS wrapper for Mongoose, making mongoose safe to use with continuation-local-storage.

Usage:

var cls = require('continuation-local-storage');
var clsMongoose = require('fh-cls-mongoose');
 
// or cls.getNamespace if exists
var clsns = cls.createNamespace('app');
 
var mongoose = require('mongoose');
clsMongoose(clsns);

After mongoose is patched, use it as usual.

Keywords

install

npm i fh-cls-mongoose

Downloadsweekly downloads

398

version

2.1.1

license

ISC

homepage

github.com

repository

Gitgithub

last publish

collaborators

  • avatar
  • avatar
Report a vulnerability